com.google.common.cache

## Class ForwardingCache.SimpleForwardingCache<K,V>

- java.lang.Object
- - com.google.common.collect.ForwardingObject
  - - com.google.common.cache.ForwardingCache<K,V>
    - - com.google.common.cache.ForwardingCache.SimpleForwardingCache<K,V>

- All Implemented Interfaces:
    Cache<K,V>
  Enclosing class:
    ForwardingCache<K,V>

      public abstract static class ForwardingCache.SimpleForwardingCache<K,V>
      extends ForwardingCache<K,V>

  A simplified version of `ForwardingCache` where subclasses can pass in an already constructed `Cache` as the delegate.
  Since:
    10.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.common.cache.ForwardingCache

      `ForwardingCache.SimpleForwardingCache<K,V>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ForwardingCache.SimpleForwardingCache(Cache<K,V> delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Cache<K,V>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.

    - ### Methods inherited from class com.google.common.cache.ForwardingCache

      `asMap, cleanUp, get, getAllPresent, getIfPresent, invalidate, invalidateAll, invalidateAll, put, putAll, size, stats`

    - ### Methods inherited from class com.google.common.collect.ForwardingObject

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ForwardingCache.SimpleForwardingCache

          protected ForwardingCache.SimpleForwardingCache(Cache<K,V> delegate)

  - ### Method Detail

    - #### delegate

          protected final Cache<K,V> delegate()

      Description copied from class: `ForwardingObject`
      Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.
      Specified by:
        `delegate` in class `ForwardingCache<K,V>`